Name:		javacpc
Version:	3.0.2
Release:	%mkrel 1
License:	GPL 2
Packager:   	Agent Smith  <ruidobranco@yahoo.com.br>
Group:		Emulators
URL:		https://sourceforge.net/projects/javacpc/
Source0:	%{name}-%{version}.tar.xz
Source1:	JavaCPC.png
Summary:	Amstrad CPC-Emulator in JAVA
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	noarch
Requires:	java
Obsoletes:	%name < %version
AutoReqProv:    no


%description

Amstrad CPC-Emulator in JAVA, based on JEMU by R. Wilson.
Features
*High accurate emulation of the Amstrad CPC homecomputer range
*Many useful features like internal YM-Player, JavaCPC paint and many more.
*Perfect AY-Soundchip emulation
*German, English and Spanish keyboard translations
*Virtual tapedrive, which supports CDT, CSW, WAV and MP3
*Built-in debugger features breakpoints and break instructions
*Advanced settings provide different AY-output routines to get the most preferred emulation
*Digiblaster emulation
*CRTC 0 and CRTC 1 are emulated to let almost every demo run fine


%prep

%setup -q -n %{name}-%{version}

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p %{buildroot}%{_datadir}/%{name}

cp -arv $RPM_BUILD_DIR/%{name}-%{version}/* %{buildroot}%{_datadir}/%{name}/

# launcher
mkdir -p %buildroot%_bindir/
cat > %buildroot%_bindir/%{name} << EOF
#!/bin/sh
cd %{_datadir}/%{name}/
java -jar JavaCPC.jar -Xms512m
cd /
EOF

chmod a+x %{buildroot}%{_bindir}/%{name}

install -d -m 0755 %buildroot%_datadir/pixmaps
install -m 0644 %SOURCE1 %buildroot%_datadir/pixmaps/JavaCPC.png

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Exec=%{name}
Icon=JavaCPC.png
Type=Application
Terminal=false
Name=JavaCPC
GenericName= Java CPC Emulator
Comment=%{summary}
StartupNotify=false
Categories=X-MandrivaLinux-MoreApplications-Emulators;Emulator;
EOF



%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}


%files
%defattr(-,root,root)
%_bindir/%{name}
%{_datadir}/%{name}/*
%{_datadir}/pixmaps/JavaCPC.png
%{_datadir}/applications/%{name}.desktop



%changelog

* Tue May 10 2022 Agent Smith <ruidobranco@yahoo.com.br> 3.0.2-1pclos2022
- Updated the package, with latest source.

* Mon Mar 30 2020 Agent Smith <ruidobranco@yahoo.com.br> 2.9.8f-1pclos2020
- Updated the package, with latest source.

* Wed Sep 18 2019 Agent Smith <ruidobranco@yahoo.com.br> 2.9.7c-1pclos2019
- Updated the package, with latest source.

* Thu Apr 11 2019 Agent Smith <ruidobranco@yahoo.com.br> 2.9.7-1pclos2019
- Updated the package, with latest source.

* Wed Sep 19 2018 Agent Smith <ruidobranco@yahoo.com.br> 2.9.6f-1pclos2018
- Updated the package, with latest source.

* Wed May 16 2018 Agent Smith <ruidobranco@yahoo.com.br> 2.9.6d-1pclos2018
- Updated the package, with latest source.

* Fri Oct 20 2017 Agent Smith <ruidobranco@yahoo.com.br> 2.9.5e-1pclos2017
- Created the package  javacpc-2.9.5e-1pclos2017noarch.rpm, with latest source.

